Loading...
Searching...
No Matches
gx_preset::PluginPresetList Class Reference

`#include <gx_preset.h>`

## Public Member Functions

| PluginPresetList (const std::string &fname, gx_engine::ParamMap &pmap, gx_engine::MidiControllerList &mctrl_)
bool | start ()
bool | next (Glib::ustring &name, bool *is_set=0)
bool | set (const Glib::ustring &name)
void | save (const Glib::ustring &name, const std::string &id, const char **groups)
bool | remove (const Glib::ustring &name)

## Private Member Functions

void | write_values (gx_system::JsonWriter &jw, std::string id, const char **groups)

## Private Attributes

std::string | filename
gx_engine::ParamMap & | pmap
gx_engine::MidiControllerList & | mctrl
ifstream | is
gx_system::JsonParser | jp

## Detailed Description

Definition at line 113 of file gx_preset.h.

## Constructor & Destructor Documentation

## PluginPresetList()

gx_preset::PluginPresetList::PluginPresetList | ( | const std::string & | fname,
|  | gx_engine::ParamMap & | pmap,
|  | gx_engine::MidiControllerList & | mctrl_ )

## Member Function Documentation

## next()

bool gx_preset::PluginPresetList::next | ( | Glib::ustring & | name,
|  | bool * | is_set = 0 )

## remove()

bool gx_preset::PluginPresetList::remove | ( | const Glib::ustring & | name | ) |

## save()

void gx_preset::PluginPresetList::save | ( | const Glib::ustring & | name,
|  | const std::string & | id,
|  | const char ** | groups )

## set()

bool gx_preset::PluginPresetList::set | ( | const Glib::ustring & | name | ) |

## start()

bool gx_preset::PluginPresetList::start | ( |  | ) |

## write_values()

void gx_preset::PluginPresetList::write_values | ( | gx_system::JsonWriter & | jw,
|  | std::string | id,
|  | const char ** | groups )

private

## Member Data Documentation

## filename

std::string gx_preset::PluginPresetList::filename

private

Definition at line 115 of file gx_preset.h.

## is

ifstream gx_preset::PluginPresetList::is

private

Definition at line 118 of file gx_preset.h.

## jp

gx_system::JsonParser gx_preset::PluginPresetList::jp

private

Definition at line 119 of file gx_preset.h.

## mctrl

gx_engine::MidiControllerList& gx_preset::PluginPresetList::mctrl

private

Definition at line 117 of file gx_preset.h.

## pmap

gx_engine::ParamMap& gx_preset::PluginPresetList::pmap

private

Definition at line 116 of file gx_preset.h.

Referenced by PluginPresetList().

The documentation for this class was generated from the following file:

- src/headers/gx_preset.h